import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'

// **1.引入新页面的view**
import LoginView from '../views/LoginView.vue'
import DashboardView from '../views/DashboardView.vue'
import OrganizationView from '../views/OrganizationView.vue'
import UserListView from '../views/UserListView.vue'

const routes = [
  {
    path: '/',
    name: 'Home',
    component: HomeView
  },
  // **2.往routes里追加新view的路由**
  {
    path: '/login',
    name: 'Login',
    component: LoginView
  },
  {
    path: '/dashboard',
    name: 'Dashboard',
    component: DashboardView
  },
  {
    path: '/organization',
    name: 'Organization',
    component: OrganizationView
  },
  {
    path: '/user-list',
    name: 'UserList',
    component: UserListView
  }
]

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
})

export default router
